import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const SendEmailIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path d="M15.9937 2.00015C15.7019 2.00015 15.3967 2.10905 15.1668 2.34178L9.82764 7.57898C9.36448 8.03329 9.36448 8.76691 9.82764 9.22122C10.2872 9.67201 11.0241 9.67183 11.4837 9.22103L14.82 5.94327L14.82 21.8737C14.82 22.5218 15.3488 23.0314 15.9937 23.0314C16.6386 23.0314 17.1674 22.5218 17.1674 21.8737L17.1674 5.94238L20.5101 9.22122C20.9697 9.67201 21.7064 9.67201 22.166 9.22122C22.6292 8.76691 22.629 8.03316 22.1659 7.57885L16.8185 2.33977C16.594 2.11956 16.2922 2.00015 15.9937 2.00015Z" fill="#2F80ED"/>
        <path d="M2.17374 14.8788C1.52884 14.8788 1 15.3884 1 16.0365V23.6571C1 26.7968 3.6021 29.3335 6.78042 29.3335H25.2196C28.4046 29.3335 31 26.7903 31 23.6571V16.1586C31 15.5182 30.4728 15.0009 29.8263 15.0009C29.1814 15.0009 28.6525 15.5105 28.6525 16.1586V23.6571C28.6525 25.5062 27.1149 27.0181 25.2196 27.0181H6.78042C4.87955 27.0181 3.34748 25.5008 3.34748 23.6571V16.0365C3.34748 15.3884 2.81864 14.8788 2.17374 14.8788Z" fill="#2F80ED"/>
    </Icon>
);

SendEmailIcon.defaultProps = {
    originalWidth: 32,
    originalHeight: 32,
};

SendEmailIcon.propTypes = {
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default SendEmailIcon;
